Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Java] Class AbstractGrailsPluginManager

    java.lang.Object
      org.codehaus.groovy.grails.plugins.AbstractGrailsPluginManager

All Implemented Interfaces:
  GrailsPluginManager

    public abstract class AbstractGrailsPluginManager

Abstract implementation of the GrailsPluginManager interface

Authors:
  Graeme Rocher

Since:
  0.4

Field Summary
`protected GrailsApplication` | `application`
`protected ApplicationContext` | `applicationContext`
`protected java.util.Map` | `classNameToPluginMap`
`protected java.util.Map` | `failedPlugins`
`protected boolean` | `initialised`
`protected boolean` | `loadCorePlugins`
`protected Class[]` | `pluginClasses`
`protected java.util.List` | `pluginList`
`protected Resource[]` | `pluginResources`
`protected java.util.Map` | `plugins`

Constructor Summary
`AbstractGrailsPluginManager(GrailsApplication application)`

Method Summary
`protected void` | `checkInitialised()`
`void` | `doArtefactConfiguration()`
`void` | `doDynamicMethods()`
`void` | `doPostProcessing(ApplicationContext ctx)` Base implementation that will simply go through each plugin and call doWithApplicationContext on each.
`void` | `doRuntimeConfiguration(RuntimeSpringConfiguration springConfig)` Base implementation that simply goes through the list of plugins and calls doWithRuntimeConfiguration on each
`void` | `doRuntimeConfiguration(java.lang.String pluginName, RuntimeSpringConfiguration springConfig)` Base implementation that will perform runtime configuration for the specified plugin name.
`GrailsPlugin[]` | `getAllPlugins()`
`GrailsPlugin[]` | `getFailedLoadPlugins()`
`GrailsPlugin` | `getFailedPlugin(java.lang.String name)`
`GrailsPlugin` | `getGrailsPlugin(java.lang.String name)`
`GrailsPlugin` | `getGrailsPlugin(java.lang.String name, java.lang.Object version)`
`GrailsPlugin` | `getGrailsPluginForClassName(java.lang.String name)`
`java.lang.String` | `getPluginPath(java.lang.String name)`
`java.lang.String` | `getPluginPathForClass(java.lang.Class theClass)`
`java.lang.String` | `getPluginPathForInstance(java.lang.Object instance)`
`Resource[]` | `getPluginResources()`
`java.lang.String` | `getPluginViewsPathForClass(java.lang.Class theClass)`
`java.lang.String` | `getPluginViewsPathForInstance(java.lang.Object instance)`
`java.util.List` | `getTypeFilters()`
`boolean` | `hasGrailsPlugin(java.lang.String name)`
`void` | `informOfClassChange(java.lang.Class aClass)`
`boolean` | `isInitialised()` @return the initialised
`void` | `registerProvidedArtefacts(GrailsApplication app)`
`void` | `setApplication(GrailsApplication application)`
`void` | `setApplicationContext(ApplicationContext applicationContext)`
`void` | `setLoadCorePlugins(boolean shouldLoadCorePlugins)`
`void` | `shutdown()`
`boolean` | `supportsCurrentBuildScope(java.lang.String pluginName)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### application

    protected GrailsApplication application

### applicationContext

    protected ApplicationContext applicationContext

### classNameToPluginMap

    protected java.util.Map classNameToPluginMap

### failedPlugins

    protected java.util.Map failedPlugins

### initialised

    protected boolean initialised

### loadCorePlugins

    protected boolean loadCorePlugins

### pluginClasses

    protected Class[] pluginClasses

### pluginList

    protected java.util.List pluginList

### pluginResources

    protected Resource[] pluginResources

### plugins

    protected java.util.Map plugins

Constructor Detail

### AbstractGrailsPluginManager

    public AbstractGrailsPluginManager(GrailsApplication application)

Method Detail

### checkInitialised

    protected void checkInitialised()

### doArtefactConfiguration

    public void doArtefactConfiguration()

### doDynamicMethods

    public void doDynamicMethods()

### doPostProcessing

    public void doPostProcessing(ApplicationContext ctx)

  Base implementation that will simply go through each plugin and call doWithApplicationContext on each.

### doRuntimeConfiguration

    public void doRuntimeConfiguration(RuntimeSpringConfiguration springConfig)

  Base implementation that simply goes through the list of plugins and calls doWithRuntimeConfiguration on each
  Parameters:
    `springConfig` - The RuntimeSpringConfiguration instance

### doRuntimeConfiguration

    public void doRuntimeConfiguration(java.lang.String pluginName, RuntimeSpringConfiguration springConfig)

  Base implementation that will perform runtime configuration for the specified plugin name.

### getAllPlugins

    public GrailsPlugin[] getAllPlugins()

### getFailedLoadPlugins

    public GrailsPlugin[] getFailedLoadPlugins()

### getFailedPlugin

    public GrailsPlugin getFailedPlugin(java.lang.String name)

### getGrailsPlugin

    public GrailsPlugin getGrailsPlugin(java.lang.String name)

### getGrailsPlugin

    public GrailsPlugin getGrailsPlugin(java.lang.String name, java.lang.Object version)

### getGrailsPluginForClassName

    public GrailsPlugin getGrailsPluginForClassName(java.lang.String name)

### getPluginPath

    public java.lang.String getPluginPath(java.lang.String name)

### getPluginPathForClass

    public java.lang.String getPluginPathForClass(java.lang.Class theClass)

### getPluginPathForInstance

    public java.lang.String getPluginPathForInstance(java.lang.Object instance)

### getPluginResources

    public Resource[] getPluginResources()

### getPluginViewsPathForClass

    public java.lang.String getPluginViewsPathForClass(java.lang.Class theClass)

### getPluginViewsPathForInstance

    public java.lang.String getPluginViewsPathForInstance(java.lang.Object instance)

### getTypeFilters

    public java.util.List getTypeFilters()

### hasGrailsPlugin

    public boolean hasGrailsPlugin(java.lang.String name)

### informOfClassChange

    public void informOfClassChange(java.lang.Class aClass)

### isInitialised

    public boolean isInitialised()

  Returns:
    the initialised

### registerProvidedArtefacts

    public void registerProvidedArtefacts(GrailsApplication app)

### setApplication

    public void setApplication(GrailsApplication application)

### setApplicationContext

    public void setApplicationContext(ApplicationContext applicationContext)

### setLoadCorePlugins

    public void setLoadCorePlugins(boolean shouldLoadCorePlugins)

### shutdown

    public void shutdown()

### supportsCurrentBuildScope

    public boolean supportsCurrentBuildScope(java.lang.String pluginName)

Groovy Documentation